Subject: bug#26484: feature request: add ICC support on Windows

From: [email-masked]
Date: Thu, 20 Apr 2017 18:10:37 +0300

--- Исходное сообщение --- 
От кого: "Michael Haubenwallner" <[email-masked]> 
Дата: 20 апреля 2017, 14:07:30 

I'm on a similar issue... 
BTW, did you seen ICU4C (http://site.icu-project.org/download) build system? It also "provide a GCC-like commandline interface while running cl.exe/link.exe/etc. behind the scenes ". It's somewhat similar to autotools-generated ones, but instead of using 'libtool' it provide compiler toolchains as a separate files. Such a modular structure makes it much easier to add support of new compilers. Could be that you find some useful ideas there. 

So rather than testing for the compiler executable file name, I'd prefer
to test for compiler features and behaviour instead. 
Not the simplest approach and, perhaps, hard to maintain. Many build systems, e.g. Boost ( bjam ), MESA (SCons), OpenSSL, Qt (qmake), etc., just imply, that the User knows what compiler he has and what toolchain to select. And if User made a mistake, he would get an error during build. 

Although not a libtool developer, I'm about to do the development and
file patches afterwards, but won't promise any due date. 
With interest would acquaint with the results . ICC offers some advantages, compared to other compilers (https://software.intel.com/en-us/c-compilers/ipsxe ), thus it d efinitely deserves support from modern build systems . 

But for ICC, I fail to find the Windows version for Open Source Contributors:
Which one do you refer to here? 
There are details regarding this question. Officially Intel do not claim, that they provide free ICC version on Windows for Open Source Development. Currently they offer free ICC on Windows license for Educators and Students (https://software.intel.com/en-us/qualify-for-free-software ). But it is for the time being and could change in future (https://software.intel.com/en-us/forums/intel-c-compiler/topic/639321). 

In addition they offer a free 30-days Trial (https://software.intel.com/en-us/intel-parallel-studio-xe ). But in case you're interested to get a free ICC on Windows license for Open Source Development, I can share contact of Intel representative, who could help with this. 

Alexander